## appstream-generator 0.5.0

=== Makefile ===
# Makefile for AppStream Generator
all:
	dub build --parallel

build:
	dub build --parallel

fast:
	@echo "! Building without optimizations"
	dub build --parallel --build=debug-nooptimize

test:
	dub test

js:
	cd contrib/setup && ./build_js.sh

clean:
	rm -rf build/
	rm -rf .dub/
	rm -f dub.selections.json
	rm -rf contrib/setup/js_tmp/
	rm -rf data/templates/default/static/js/flot/
	rm -rf data/templates/default/static/js/highlight/
	rm -rf data/templates/default/static/js/jquery/

install:
	./contrib/setup/install.sh

update-submodule:
	git submodule init
	git submodule update

.PHONY: clean js test install update-submodule

=== debian/changelog ===
appstream-generator (0.5.0-3) unstable; urgency=medium

  * 32bit-build-fix.patch: Fix FTBFS on 32bit architectures

 -- Matthias Klumpp <mak@debian.org>  Fri, 02 Sep 2016 20:58:20 +0200

appstream-generator (0.5.0-2) unstable; urgency=medium

  * non-amd64-build-fix.patch: Attempt to fix weird FTBFS
    on !amd64 architectures

 -- Matthias Klumpp <mak@debian.org>  Wed, 31 Aug 2016 22:15:38 +0200

appstream-generator (0.5.0-1) unstable; urgency=medium

  * New upstream release: 0.5.0
  * Adjust dependencies
  * Fix linking issue with GDC/Phobos in unstable

 -- Matthias Klumpp <mak@debian.org>  Tue, 30 Aug 2016 22:56:10 +0200

appstream-generator (0.4.0-1) unstable; urgency=medium

  * New upstream release: 0.4.0
    - Closes: #828713
  * Use pristine-tar
  * Replace dub hack with a different workaround
    - Still ugly, but does not involve patching the sources anymore.

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Jul 2016 20:14:32 +0200

appstream-generator (0.3.0-1) unstable; urgency=medium

  * New upstream release: 0.3.0
  * Drop ftbfs-non64bit.patch: Applied upstream
  * Recommend optipng

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 May 2016 20:02:24 +0200

appstream-generator (0.2.0-2) unstable; urgency=medium

  * ftbfs-non64bit.patch: Fix FTBFS on non-64bit architectures

 -- Matthias Klumpp <mak@debian.org>  Mon, 25 Apr 2016 20:38:30 +0200

appstream-generator (0.2.0-1) unstable; urgency=medium

  * New upstream release: 0.2.0
  * Drop JS sources: No longer needed
  * Update debian/rules for the removed JS libraries
  * Adapt debian/copyright
  * Do not run tests until dub is fixed

 -- Matthias Klumpp <mak@debian.org>  Sun, 24 Apr 2016 18:36:12 +0200

appstream-generator (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #820715)

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Apr 2016 18:50:04 +0200

=== debian/control ===
Source: appstream-generator
Section: misc
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dub,
               libappstream-dev (>= 0.10),
               libarchive-dev (>= 3.2),
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libgdk-pixbuf2.0-dev,
               libglib2.0-dev,
               libjs-highlight.js,
               libjs-jquery-flot,
               liblmdb-dev,
               libmustache-d-dev,
               librsvg2-dev
Standards-Version: 3.9.8
Homepage: https://github.com/ximion/appstream-generator
Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-generator.git

Package: appstream-generator
Architecture: any
Depends: libjs-highlight.js,
         libjs-jquery-flot,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: optipng
Description: Generator for AppStream metadata
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and provides tools to read, write and validate the metadata.
 .
 This package contains a tool to generate distribution metadata from package
 repositories.
 It will extract icons, download screenshots, validate and transform the
 metadata and return XML or YAML files that can be read by AppStream clients,
 such as software centers.
 The `appstream-generator` will also generate issue reports as JSON documents
 and HTML pages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

INSTALLED_TEMPLATE_JSDIR := $(CURDIR)/debian/appstream-generator/usr/share/appstream/templates/default/static/js

%:
	dh $@

override_dh_auto_build:
	# stupid hack since dub can't work with local repos in system locations properly at
	# time...
	mkdir /tmp/dub-repo
	mkdir /tmp/fakehome
	cp -dr /usr/include/d/mustache-d /tmp/dub-repo
	HOME=/tmp/fakehome dub add-local /tmp/dub-repo/mustache-d 0.1.1

	HOME=/tmp/fakehome dub -v --skip-registry=standard build --parallel

override_dh_auto_test:
	# FIXME: Running the test will override the actual binary we want to ship. This is a bug in dub.
	# dub -v --skip-registry=standard test

override_dh_clean:
	rm -f $(CURDIR)/source/mustache-d
	dh_clean

override_dh_install:
	dh_install --list-missing

	chmod -x $(CURDIR)/debian/appstream-generator/usr/share/appstream/hicolor-theme-index.theme
	chmod -x $(CURDIR)/debian/appstream-generator/usr/share/appstream/asgen-hints.json

	rm -f $(INSTALLED_TEMPLATE_JSDIR)/.gitignore
	ln -s /usr/share/javascript/jquery-flot/ $(INSTALLED_TEMPLATE_JSDIR)/flot

	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/jquery
	ln -s /usr/share/javascript/jquery/jquery.min.js $(INSTALLED_TEMPLATE_JSDIR)/jquery/jquery.min.js

	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/highlight
	ln -s /usr/share/javascript/highlight.js/highlight.min.js $(INSTALLED_TEMPLATE_JSDIR)/highlight/highlight.pack.js

## appstream-generator 0.6.2

=== Makefile ===
# Pseudo-Makefile for AppStream Generator
all:
	@echo "Please run Meson and Ninja manually. See README.md for details."

build-dub:
	dub build --parallel

build-dub-fast:
	@echo "! Building without optimizations"
	dub build --parallel --build=debug-nooptimize

js:
	cd contrib/setup && ./build_js.sh

clean:
	rm -rf build/
	rm -rf .dub/
	rm -f dub.selections.json
	rm -rf contrib/setup/js_tmp/
	rm -rf data/templates/default/static/js/flot/
	rm -rf data/templates/default/static/js/highlight/
	rm -rf data/templates/default/static/js/jquery/

install-dub:
	./contrib/setup/install.sh

update-submodule:
	git submodule init
	git submodule update

.PHONY: clean js test install-dub update-submodule

=== meson_options.txt ===
#
# Options for AppStream Generator
#

option('download_js',
       type: 'boolean',
       value: true,
       description: 'Whether we should download JavaScript with Bower automatically.'
)

=== debian/changelog ===
appstream-generator (0.6.2-1) unstable; urgency=medium

  * New upstream version: 0.6.2
  * test-fixes.patch: Make tests work again

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Jan 2017 22:46:42 +0100

appstream-generator (0.6.1-1) unstable; urgency=medium

  * New upstream version: 0.6.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 26 Dec 2016 22:58:05 +0100

appstream-generator (0.6.0-5) unstable; urgency=medium

  * Fix build on armhf by compiling without NEON

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Oct 2016 22:32:32 +0200

appstream-generator (0.6.0-4) unstable; urgency=medium

  * Execute testsuite directly

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Oct 2016 18:09:04 +0200

appstream-generator (0.6.0-3) unstable; urgency=medium

  * Print logs from failing tests

 -- Matthias Klumpp <mak@debian.org>  Sun, 09 Oct 2016 15:46:42 +0200

appstream-generator (0.6.0-2) unstable; urgency=medium

  * Properly remove build directory on clean
  * find-mustache-d.patch: Make finding mustache-d more robust
  * Tighten dependencies

 -- Matthias Klumpp <mak@debian.org>  Sat, 08 Oct 2016 16:48:02 +0200

appstream-generator (0.6.0-1) unstable; urgency=medium

  * New upstream version: 0.6.0
  * Build with the LDC compiler by default
  * Drop patches: Applied upstream
  * d/rules: Use the Meson buildsystem
  * fix-template-install.patch: Correctly install symlinks for templates
  * Update debian/copyright

 -- Matthias Klumpp <mak@debian.org>  Mon, 03 Oct 2016 19:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,26 @@
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
-               dub,
+               ldc (>= 1:1.1.0+b3),
                libappstream-dev (>= 0.10),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
                libglib2.0-dev,
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               libmustache-d-dev,
-               librsvg2-dev
+               libmustache-d-dev (>= 0.1.1-2),
+               libpango1.0-dev,
+               librsvg2-dev,
+               meson (>= 0.34)
 Standards-Version: 3.9.8
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-packagekit/appstream-generator.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git
 
 Package: appstream-generator
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

ASGEN_FLAGS := --prefix=/usr \
		--buildtype=plain \
		-Ddownload_js=false

export DFLAGS=-O3 -g -release

# we can not build with NEON on armhf, the Debian builders
# don't support it.
ifeq ($(DEB_HOST_ARCH),armhf)
	DFLAGS += -mattr=-neon
endif

INSTALL_DIR := $(CURDIR)/debian/appstream-generator
INSTALLED_TEMPLATE_JSDIR := $(INSTALL_DIR)/usr/share/appstream/templates/default/static/js

%:
	dh $@

override_dh_auto_configure:
	mkdir build
	(cd build && meson $(ASGEN_FLAGS) ..)

override_dh_auto_build:
	ninja -Cbuild -v

override_dh_auto_install:
	DESTDIR=$(INSTALL_DIR) ninja -Cbuild -v install

override_dh_auto_test:
	#ninja -Cbuild -v test # FIXME: Doesn't show any log on failure at time due to Meson bugs.
	$(CURDIR)/build/asgen_test

override_dh_install:
	dh_install --list-missing

	rm -f $(INSTALLED_TEMPLATE_JSDIR)/.gitignore
	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/
	ln -s /usr/share/javascript/jquery-flot/ $(INSTALLED_TEMPLATE_JSDIR)/flot

	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/jquery
	ln -s /usr/share/javascript/jquery/jquery.min.js $(INSTALLED_TEMPLATE_JSDIR)/jquery/jquery.min.js

	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/highlight
	ln -s /usr/share/javascript/highlight.js/highlight.min.js $(INSTALLED_TEMPLATE_JSDIR)/highlight/highlight.pack.js

override_dh_clean:
	rm -rf build/
	dh_clean

## appstream-generator 0.6.7

=== debian/changelog ===
appstream-generator (0.6.7-1ubuntu2) artful; urgency=medium

  * Lower also libappstream-dev, to be dropped for BB series.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Oct 2017 14:31:40 +0200

appstream-generator (0.6.7-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower required debhelper to version available in artful

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Oct 2017 14:19:27 +0200

appstream-generator (0.6.7-1) unstable; urgency=medium

  * New upstream version: 0.6.7
  * Bump build-dep on gir-to-d to include the armhf NEON fix

 -- Matthias Klumpp <mak@debian.org>  Mon, 02 Oct 2017 22:24:52 +0200

appstream-generator (0.6.6-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower required debhelper to version available in artful

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Oct 2017 09:55:41 +0200

appstream-generator (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Matthias Klumpp <mak@debian.org>  Fri, 22 Sep 2017 21:28:45 +0200

appstream-generator (0.6.5-1ubuntu1) artful; urgency=medium

  * debian/control.in:
    - Lower required debhelper to version available in artful

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 18 Jul 2017 16:23:59 -0400

appstream-generator (0.6.5-1build1) artful; urgency=medium

  * Rebuild against new ldc72.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2017 20:39:49 +0200

appstream-generator (0.6.5-1) unstable; urgency=medium

  * New upstream version: 0.6.5
  * Use the built-in Meson support from debhelper
  * Drop all patches: Applied upstream
  * Update debian/copyright
  * Add missing dependency on libgirepository1.0-dev
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sun, 02 Jul 2017 17:08:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               ldc (>= 1:1.1.0+b3),
+Build-Depends: debhelper (>= 10.4),
+               docbook-xsl,
+               gir-to-d (>= 0.11.1-2),
+               ldc (>= 1:1.4),
                libappstream-dev (>= 0.10),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
@@ -11,15 +13,17 @@
                libfontconfig1-dev,
                libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
+               libgirepository1.0-dev,
                libglib2.0-dev,
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               libmustache-d-dev (>= 0.1.1-2),
+               libmustache-d-dev (>= 0.1.2),
                libpango1.0-dev,
                librsvg2-dev,
-               meson (>= 0.34)
-Standards-Version: 3.9.8
+               meson (>= 0.42),
+               xsltproc
+Standards-Version: 4.1.0
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		--buildtype=plain \
 		-Ddownload_js=false
 
-export DFLAGS=-O3 -g -release
+export DFLAGS=-O -g -release
 
 # we can not build with NEON on armhf, the Debian builders
 # don't support it.
@@ -18,21 +18,13 @@
 INSTALLED_TEMPLATE_JSDIR := $(INSTALL_DIR)/usr/share/appstream/templates/default/static/js
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	mkdir build
-	(cd build && meson $(ASGEN_FLAGS) ..)
-
-override_dh_auto_build:
-	ninja -Cbuild -v
+	dh_auto_configure -- $(ASGEN_FLAGS)
 
 override_dh_auto_install:
-	DESTDIR=$(INSTALL_DIR) ninja -Cbuild -v install
-
-override_dh_auto_test:
-	#ninja -Cbuild -v test # FIXME: Doesn't show any log on failure at time due to Meson bugs.
-	$(CURDIR)/build/asgen_test
+	dh_auto_install --destdir=$(INSTALL_DIR)
 
 override_dh_install:
 	dh_install --list-missing
@@ -46,7 +38,3 @@
 
 	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/highlight
 	ln -s /usr/share/javascript/highlight.js/highlight.min.js $(INSTALLED_TEMPLATE_JSDIR)/highlight/highlight.pack.js
-
-override_dh_clean:
-	rm -rf build/
-	dh_clean

## appstream-generator 0.6.8

=== meson_options.txt ===
#
# Options for AppStream Generator
#

option('download-js',
       type: 'boolean',
       value: true,
       description: 'Whether we should download JavaScript with Bower automatically.'
)

=== debian/changelog ===
appstream-generator (0.6.8-2build2) bionic; urgency=medium

  * Rebuild against new libphobos2-ldc-shared78.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Mar 2018 19:31:07 +0100

appstream-generator (0.6.8-2build1) bionic; urgency=medium

  * No-change rebuild for phobos-ldc soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2018 03:01:30 +0000

appstream-generator (0.6.8-2) unstable; urgency=medium

  * Use dh_missing instead of dh_install --list-missing
  * girtod0.13-compat.patch: Add compatibility with gir-to-d >= 0.13

 -- Matthias Klumpp <mak@debian.org>  Thu, 09 Nov 2017 12:14:05 +0100

appstream-generator (0.6.8-1) unstable; urgency=medium

  * New upstream version: 0.6.8
    - Builds with Meson 0.43 (Closes: #880887)
  * d/rules: Update build flag name
  * Bump dependency on LDC to ensure we build with the latest
    version of the compiler

 -- Matthias Klumpp <mak@debian.org>  Mon, 06 Nov 2017 23:12:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 10.4),
+Build-Depends: debhelper (>= 10.6),
                docbook-xsl,
                gir-to-d (>= 0.11.1-2),
-               ldc (>= 1:1.4),
-               libappstream-dev (>= 0.10),
+               ldc (>= 1:1.5),
+               libappstream-dev (>= 0.11.6),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
@@ -23,7 +23,7 @@
                librsvg2-dev,
                meson (>= 0.42),
                xsltproc
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-packagekit/appstream-generator.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 ASGEN_FLAGS := --prefix=/usr \
 		--buildtype=plain \
-		-Ddownload_js=false
+		-Ddownload-js=false
 
 export DFLAGS=-O -g -release
 
@@ -27,7 +27,7 @@
 	dh_auto_install --destdir=$(INSTALL_DIR)
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 	rm -f $(INSTALLED_TEMPLATE_JSDIR)/.gitignore
 	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/
@@ -38,3 +38,6 @@
 
 	mkdir -p $(INSTALLED_TEMPLATE_JSDIR)/highlight
 	ln -s /usr/share/javascript/highlight.js/highlight.min.js $(INSTALLED_TEMPLATE_JSDIR)/highlight/highlight.pack.js
+
+override_dh_missing:
+	dh_missing --fail-missing

## appstream-generator 0.7.4

=== debian/changelog ===
appstream-generator (0.7.4-1build1) cosmic; urgency=medium

  * Rebuild against new ldc81.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Sep 2018 14:07:11 +0200

appstream-generator (0.7.4-1) unstable; urgency=medium

  * New upstream version: 0.7.4
  * Bump standards version: No changes needed
  * Build-depend on GLibD instead of GLib

 -- Matthias Klumpp <mak@debian.org>  Sat, 04 Aug 2018 16:52:48 +0800

appstream-generator (0.7.3-1) unstable; urgency=medium

  * New upstream version: 0.7.3
  * Ensure we build against libdcontainers-dev >= 0.8.0~alpha.6
    - This ensures we build against a version of the library which
      does not cause asgen to crash.
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Thu, 26 Apr 2018 19:04:02 +0200

appstream-generator (0.7.2-2) unstable; urgency=medium

  * debian-index-threadsafe.patch: Make package index threadsafe again

 -- Matthias Klumpp <mak@debian.org>  Tue, 17 Apr 2018 10:28:56 +0200

appstream-generator (0.7.2-1) unstable; urgency=medium

  * New upstream version: 0.7.2
  * Drop patches: Applied upstream
  * Build-depend on gir-to-d >= 0.15
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 17 Apr 2018 08:16:56 +0200

appstream-generator (0.7.1-3) unstable; urgency=medium

  * fix-32bit-build.patch: Update patch

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 21:28:48 +0200

appstream-generator (0.7.1-2) unstable; urgency=medium

  * fix-32bit-build.patch: Fix FTBFS on 32bit architectures

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 20:16:16 +0200

appstream-generator (0.7.1-1) unstable; urgency=medium

  * New upstream version: 0.7.1
  * Build-depend on gir-to-d (>= 0.14)

 -- Matthias Klumpp <mak@debian.org>  Fri, 06 Apr 2018 17:47:44 +0200

appstream-generator (0.7.0-1) unstable; urgency=medium

  * New upstream version: 0.7.0
  * Drop patches: Applied upstream
  * Update Vcs-* URLs for switch to Salsa
  * Bump dh compat level to 11
  * Use dh-dlang
  * Update dependencies
    - Build-dep libappstream-dev >= 0.12.0
    - New build-dep libdcontainers-dev

 -- Matthias Klumpp <mak@debian.org>  Wed, 04 Apr 2018 20:44:24 +0200

=== debian/control ===
Source: appstream-generator
Section: misc
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper (>= 11),
               dh-dlang,
               docbook-xsl,
               gir-to-d (>= 0.15),
               libappstream-dev (>= 0.12.2),
               libarchive-dev (>= 3.2),
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libdcontainers-dev (>= 0.8.0~alpha.6),
               libfontconfig1-dev,
               libfreetype6-dev,
               libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev,
               libglibd-2.0-dev,
               libjs-highlight.js,
               libjs-jquery-flot,
               liblmdb-dev,
               libmustache-d-dev (>= 0.1.2),
               libpango1.0-dev,
               librsvg2-dev,
               meson (>= 0.46),
               xsltproc
Standards-Version: 4.2.0
Homepage: https://github.com/ximion/appstream-generator
Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator

Package: appstream-generator
Architecture: any
Depends: libjs-highlight.js,
         libjs-jquery-flot,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: optipng
Description: Generator for AppStream metadata
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 as well as tools to read, write and validate the metadata.
 .
 This package contains a tool to generate collection metadata from package
 repositories.
 It will extract icons, download screenshots, validate and transform the
 metadata and return XML or YAML files that can be read by AppStream clients,
 such as software centers.
 The `appstream-generator` tool will also generate issue reports as
 JSON documents and HTML pages.

## appstream-generator 0.7.5

=== debian/changelog ===
appstream-generator (0.7.5-1) unstable; urgency=medium

  * New upstream version: 0.7.5
  * Switch to dh compat level 12
  * Drop build-dep on mustache-d
  * Bump standards version (no changes needed)

 -- Matthias Klumpp <mak@debian.org>  Fri, 04 Jan 2019 18:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-dlang,
                docbook-xsl,
                gir-to-d (>= 0.15),
-               libappstream-dev (>= 0.12.2),
+               libappstream-dev (>= 0.12.4),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
@@ -19,12 +19,11 @@
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               libmustache-d-dev (>= 0.1.2),
                libpango1.0-dev,
                librsvg2-dev,
                meson (>= 0.46),
                xsltproc
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator

## appstream-generator 0.7.6

=== debian/changelog ===
appstream-generator (0.7.6-1) unstable; urgency=medium

  * New upstream version: 0.7.6
  * Build-depend on AppStream 0.12.5 and gir-to-d <= 0.18

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Feb 2019 21:32:08 +0100

## appstream-generator 0.7.7

=== debian/changelog ===
appstream-generator (0.7.7-1) unstable; urgency=medium

  * New upstream version: 0.7.7

 -- Matthias Klumpp <mak@debian.org>  Sun, 24 Feb 2019 19:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Build-Depends: debhelper-compat (= 12),
                dh-dlang,
                docbook-xsl,
-               gir-to-d (>= 0.15),
-               libappstream-dev (>= 0.12.4),
+               gir-to-d (>= 0.18),
+               libappstream-dev (>= 0.12.5),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
-               libdcontainers-dev (>= 0.8.0~alpha.6),
+               libdcontainers-dev (>= 0.8.0~alpha.12),
                libfontconfig1-dev,
                libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
-               libglibd-2.0-dev,
+               libglibd-2.0-dev (>= 2.0.2),
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,30 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+
+include /usr/share/dh-dlang/dlang-flags.mk
 
 ASGEN_FLAGS := --prefix=/usr \
 		--buildtype=plain \
 		-Ddownload-js=false
 
-export DFLAGS=-O -g -release
-
-# we can not build with NEON on armhf, the Debian builders
-# don't support it.
-ifeq ($(DEB_HOST_ARCH),armhf)
-	DFLAGS += -mattr=-neon
-endif
-
 INSTALL_DIR := $(CURDIR)/debian/appstream-generator
 INSTALLED_TEMPLATE_JSDIR := $(INSTALL_DIR)/usr/share/appstream/templates/default/static/js
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(ASGEN_FLAGS)
-
-override_dh_auto_install:
-	dh_auto_install --destdir=$(INSTALL_DIR)
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/ximion/appstream-generator/tags .*/v?(\d\S*)\.tar\.gz

## appstream-generator 0.8.1

=== debian/changelog ===
appstream-generator (0.8.1-1build2) focal; urgency=medium

  * Rebuild against new ldc90.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Feb 2020 20:43:44 +0100

appstream-generator (0.8.1-1build1) focal; urgency=medium

  * Rebuild against new ldc90.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Feb 2020 17:56:37 +0100

appstream-generator (0.8.1-1) unstable; urgency=medium

  * New upstream version: 0.8.1
  * Bump minimum build dependency version on libappstream-dev
  * Update standards version: No change needed
  * Mark d/rules as not requiring root

 -- Matthias Klumpp <mak@debian.org>  Mon, 20 Jan 2020 20:48:41 +0100

appstream-generator (0.8.0-2) unstable; urgency=medium

  * Depend on gir-to-d >= 0.20
    - The old version had an issues with newer GIR versions,
      causing the package to FTBFS (Closes: #942379)

 -- Matthias Klumpp <mak@debian.org>  Fri, 08 Nov 2019 22:56:06 +0100

appstream-generator (0.8.0-1) unstable; urgency=medium

  * New upstream version: 0.8.0
  * Bump build-dependency on AppStream
  * Bump changes version: No changes needed
  * Depend on ffmpeg for the unit tests
  * Drop dependency on dcontainers: No longer needed
  * Simplify d/watch file

 -- Matthias Klumpp <mak@debian.org>  Tue, 24 Sep 2019 21:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends: debhelper-compat (= 12),
                dh-dlang,
                docbook-xsl,
-               gir-to-d (>= 0.18),
-               libappstream-dev (>= 0.12.5),
+               ffmpeg,
+               gir-to-d (>= 0.20),
+               libappstream-dev (>= 0.12.10),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl4-openssl-dev,
-               libdcontainers-dev (>= 0.8.0~alpha.12),
                libfontconfig1-dev,
                libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
@@ -23,7 +23,8 @@
                librsvg2-dev,
                meson (>= 0.46),
                xsltproc
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator
@@ -34,7 +35,8 @@
          libjs-jquery-flot,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: optipng
+Recommends: ffmpeg,
+            optipng
 Description: Generator for AppStream metadata
  AppStream is a cross-distribution effort for creating and sharing
  metadata of software components available in the package repositories

## appstream-generator 0.8.2

=== debian/changelog ===
appstream-generator (0.8.2-2) unstable; urgency=medium

  * Add explicit-no-network.patch: Allow one to disable network-dependent
    tests explicitly.
    - On a few builders at Debian, the network autodetection seems to fail,
      so we now disable these tests explicitly via an env var.

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 May 2020 19:59:53 +0200

appstream-generator (0.8.2-1) unstable; urgency=medium

  * New upstream version: 0.8.2
  * Build-depend on docbook-xml explicitly (Closes: #958460)
  * Drop dependency on curl
  * Add build dependency on libsoup2.4-dev
  * Bump dependency on GLibD to >= 2.2
    - This surprisingly fixes linkage of libglibd, and
      therefore closes: #959893
      Possibly GLibD was miscompiled before in an LDC
      transition to trigger this issue. We will have to
      keep an eye on this, so the problem doesn't reappear.

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 May 2020 22:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,28 @@
 Maintainer: Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-dlang,
+               docbook-xml,
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.20),
                libappstream-dev (>= 0.12.10),
                libarchive-dev (>= 3.2),
                libcairo2-dev,
-               libcurl4-gnutls-dev | libcurl4-openssl-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
-               libglibd-2.0-dev (>= 2.0.2),
+               libglibd-2.0-dev (>= 2.2),
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
                libpango1.0-dev,
                librsvg2-dev,
+               libsoup2.4-dev,
                meson (>= 0.46),
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator

## appstream-generator 0.8.3

=== debian/changelog ===
appstream-generator (0.8.3-1) unstable; urgency=medium

  * New upstream version: 0.8.3
  * Drop all patches: Applied upstream
  * Build-depend on libappstream-compose-dev

 -- Matthias Klumpp <mak@debian.org>  Tue, 02 Feb 2021 20:20:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,16 @@
                docbook-xml,
                docbook-xsl,
                ffmpeg,
-               gir-to-d (>= 0.20),
-               libappstream-dev (>= 0.12.10),
+               gir-to-d (>= 0.22),
+               libappstream-compose-dev (>= 0.14.0),
+               libappstream-dev (>= 0.14.0),
                libarchive-dev (>= 3.2),
-               libcairo2-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libglibd-2.0-dev (>= 2.2),
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               libpango1.0-dev,
-               librsvg2-dev,
                libsoup2.4-dev,
                meson (>= 0.46),
                xsltproc

## appstream-generator 0.8.4

=== debian/changelog ===
appstream-generator (0.8.4-1) unstable; urgency=medium

  * New upstream version: 0.8.4
  * Raise build-dependency on AppStream to 0.14.2
  * Build-depend on libcurl instead of libsoup
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Tue, 02 Mar 2021 10:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,19 @@
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.14.0),
-               libappstream-dev (>= 0.14.0),
+               libappstream-compose-dev (>= 0.14.2),
+               libappstream-dev (>= 0.14.2),
                libarchive-dev (>= 3.2),
-               libgdk-pixbuf2.0-dev,
+               libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libgirepository1.0-dev,
                libglibd-2.0-dev (>= 2.2),
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               libsoup2.4-dev,
                meson (>= 0.46),
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator

## appstream-generator 0.8.5

=== debian/changelog ===
appstream-generator (0.8.5-1) unstable; urgency=medium

  * New upstream version: 0.8.5
  * Raise build-dependency on AppStream to 0.14.5

 -- Matthias Klumpp <mak@debian.org>  Sat, 28 Aug 2021 23:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.14.2),
-               libappstream-dev (>= 0.14.2),
+               libappstream-compose-dev (>= 0.14.5),
+               libappstream-dev (>= 0.14.5),
                libarchive-dev (>= 3.2),
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libgirepository1.0-dev,

## appstream-generator 0.8.6

=== meson_options.txt ===
#
# Options for AppStream Generator
#

option('download-js',
       type: 'boolean',
       value: true,
       description: 'Whether we should download JavaScript with Yarn automatically.'
)

=== debian/changelog ===
appstream-generator (0.8.6-2) unstable; urgency=medium

  * Add fix-32bit-build.patch: Fix builds on 32bit architectures

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Dec 2021 22:14:55 +0100

appstream-generator (0.8.6-1) unstable; urgency=medium

  * New upstream version: 0.8.6
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Dec 2021 19:38:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.14.5),
-               libappstream-dev (>= 0.14.5),
+               libappstream-compose-dev (>= 0.15.1),
+               libappstream-dev (>= 0.15.0),
                libarchive-dev (>= 3.2),
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libgirepository1.0-dev,
@@ -20,7 +20,7 @@
                meson (>= 0.46),
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator

=== debian/watch ===
version=3

https://github.com/ximion/appstream-generator/tags .*/v?(\d\S*)\.tar\.gz

## appstream-generator 0.8.8

=== debian/changelog ===
appstream-generator (0.8.8-1) unstable; urgency=medium

  * New upstream version: 0.8.8

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Apr 2022 22:40:12 +0200

appstream-generator (0.8.7-1) unstable; urgency=medium

  * New upstream version: 0.8.7
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Feb 2022 19:19:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-dlang,
                docbook-xml,
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.15.1),
-               libappstream-dev (>= 0.15.0),
+               libappstream-compose-dev (>= 0.15.2),
+               libappstream-dev (>= 0.15.2),
                libarchive-dev (>= 3.2),
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libgirepository1.0-dev,
@@ -17,7 +17,7 @@
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               meson (>= 0.46),
+               meson (>= 0.56),
                xsltproc
 Rules-Requires-Root: no
 Standards-Version: 4.6.0

## appstream-generator 0.9.0

=== debian/changelog ===
appstream-generator (0.9.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.9.0
  * Bump build dependency on appstream-compose

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Matthias Klumpp <mak@debian.org>  Thu, 26 Jan 2023 23:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.15.2),
+               libappstream-compose-dev (>= 0.16.0),
                libappstream-dev (>= 0.15.2),
                libarchive-dev (>= 3.2),
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
@@ -19,8 +19,8 @@
                liblmdb-dev,
                meson (>= 0.56),
                xsltproc
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/appstream-generator
@@ -33,14 +33,14 @@
          ${shlibs:Depends}
 Recommends: ffmpeg,
             optipng
-Description: Generator for AppStream metadata
+Description: Generator for AppStream metadata catalogs
  AppStream is a cross-distribution effort for creating and sharing
  metadata of software components available in the package repositories
  of a distribution.
  It provides specifications for an unified software component metadata format
  as well as tools to read, write and validate the metadata.
  .
- This package contains a tool to generate collection metadata from package
+ This package contains a tool to generate catalog metadata from package
  repositories.
  It will extract icons, download screenshots, validate and transform the
  metadata and return XML or YAML files that can be read by AppStream clients,

=== debian/watch ===
version=4

https://github.com/ximion/appstream-generator/tags .*/v?(\d\S*)\.tar\.gz

## appstream-generator 0.9.1

=== meson_options.txt ===
#
# Options for AppStream Generator
#

option('rpmmd',
       type: 'boolean',
       value: false,
       description: 'Build the RPM-MD backend..'
)
option('download-js',
       type: 'boolean',
       value: true,
       description: 'Download JavaScript with Yarn automatically.'
)
option('gir-dir',
       type: 'string',
       value: '',
       description: 'Override the directory where gir-to-d searches for GIR files.'
)

=== debian/changelog ===
appstream-generator (0.9.1-1build8) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 20:44:01 +0200

appstream-generator (0.9.1-1build7) questing; urgency=medium

  * No-change rebuild for libgphoos soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Aug 2025 16:10:06 +0200

appstream-generator (0.9.1-1build6) questing; urgency=medium

  * Rebuild against latest glib-d

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:18:01 -0400

appstream-generator (0.9.1-1build5) plucky; urgency=medium

  * Rebuild against new libphobos2-ldc-shared110.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2025 14:52:34 +0100

appstream-generator (0.9.1-1build4) oracular; urgency=medium

  * No-change rebuild for libgphobos soname change

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jul 2024 11:11:42 +0200

appstream-generator (0.9.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:47 +1100

appstream-generator (0.9.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:48:51 +0000

appstream-generator (0.9.1-1build1) noble; urgency=medium

  * Rebuild against new libphobos2-ldc-shared106.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2024 09:57:30 +0100

appstream-generator (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
    - Fixes build with LDC >= 1.35 (Closes: #1055492)
  * Update d/watch
  * Bump build-dep on appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 16 Dec 2023 18:52:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: appstream-generator
 Section: misc
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Build-Depends: appstream,
+               debhelper-compat (= 13),
                dh-dlang,
                docbook-xml,
                docbook-xsl,
                ffmpeg,
                gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 0.16.0),
-               libappstream-dev (>= 0.15.2),
+               libappstream-compose-dev (>= 1.0.0),
+               libappstream-dev (>= 1.0.0),
                libarchive-dev (>= 3.2),
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libgirepository1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 INSTALL_DIR := $(CURDIR)/debian/appstream-generator
 INSTALLED_TEMPLATE_JSDIR := $(INSTALL_DIR)/usr/share/appstream/templates/default/static/js
+
+# explicitly disable network-dependent tests
+export ASGEN_TESTS_NO_NET=yes
 
 %:
 	dh $@

## appstream-generator 0.10.0

=== debian/changelog ===
appstream-generator (0.10.0-1) unstable; urgency=medium

  * New upstream version: 0.10.0
    - The project has been ported from D to C++23
  * Update build dependencies
  * Adjust d/rules
  * Add skip-net-tests.patch:
    - Allow net-dependent tests to be skipped on builders

 -- Matthias Klumpp <mak@debian.org>  Thu, 18 Sep 2025 22:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: appstream-generator
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
-Build-Depends: appstream,
-               debhelper-compat (= 13),
-               dh-dlang,
+Maintainer: Matthias Klumpp <mak@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               appstream,
+               cmake,
                docbook-xml,
                docbook-xsl,
                ffmpeg,
-               gir-to-d (>= 0.22),
-               libappstream-compose-dev (>= 1.0.0),
-               libappstream-dev (>= 1.0.0),
+               inja-dev,
+               libappstream-compose-dev (>= 1.1.0),
+               libappstream-dev (>= 1.1.0),
                libarchive-dev (>= 3.2),
+               libbackward-cpp-dev,
+               libcatch2-dev,
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
-               libgirepository1.0-dev,
-               libglibd-2.0-dev (>= 2.2),
+               libfyaml-dev,
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,
-               meson (>= 0.56),
+               libtbb-dev,
+               libunwind-dev,
+               libxml2-dev,
+               meson (>= 1.0),
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ximion/appstream-generator
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/appstream-generator.git

## appstream-generator 0.10.1

=== meson_options.txt ===
#
# Options for AppStream Generator
#

option('download-js',
       type: 'boolean',
       value: true,
       description: 'Download JavaScript with NPM automatically.'
)

option('backward',
       type : 'boolean',
       value : true,
       description : 'Use stack trace pretty-printing using backward-cpp.'
)

option('maintainer',
       type : 'boolean',
       value : false,
       description : 'Compile in maintainer mode (use strict compiler flags, e.g. -Werror)'
)

=== debian/changelog ===
appstream-generator (0.10.1-1) unstable; urgency=medium

  * New upstream version: 0.10.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 20:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                libcatch2-dev,
                libcurl4-gnutls-dev (>= 7.62) | libcurl-dev (>= 7.62),
                libfyaml-dev,
+               libicu-dev,
                libjs-highlight.js,
                libjs-jquery-flot,
                liblmdb-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,7 @@
 # -*- makefile -*-
 #export DH_VERBOSE=1
 
-include /usr/share/dh-dlang/dlang-flags.mk
-
-ASGEN_FLAGS := --prefix=/usr \
-		--buildtype=plain \
-		-Ddownload-js=false
+ASGEN_FLAGS := -Ddownload-js=false
 
 INSTALL_DIR := $(CURDIR)/debian/appstream-generator
 INSTALLED_TEMPLATE_JSDIR := $(INSTALL_DIR)/usr/share/appstream/templates/default/static/js

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/appstream-generator-$1\.tar\.gz/ \
    https://github.com/ximion/appstream-generator/tags .*/v?(\d\S*)\.tar\.gz
